کمپینهای تکراری
GET https://push.cheraghestan.com/api/recurring-campaigns/
curl --request GET \
--url 'https://push.cheraghestan.com/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.cheraghestan.com/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته | رشته جستجو. |
| search_by | اختیاری رشته | چه فیلدی را جستجو میکنید. مقادیر مجاز: name, title, description, url. |
| website_id | اختیاری عدد صحیح | |
| datetime_field | اختیاری رشته | مقادیر مجاز: last_run_datetime, next_run_datetime, datetime, last_datetime |
| datetime_start | اختیاری رشته | نتایج را از این تاریخ و زمان شروع فیلتر کنید. فرمت Y-m-d H:i:s. |
| datetime_end | اختیاری رشته | نتایج را تا این تاریخ و زمان فیلتر کنید. فرمت Y-m-d H:i:s. |
| order_by | اختیاری رشته | نتایج بر اساس کدام فیلد مرتب شوند. مقادیر مجاز: recurring_campaign_id, datetime, last_datetime, last_run_datetime, next_run_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | اختیاری رشته | ترتیب نتایج. مقادیر مجاز: ASC برای ترتیب صعودی، و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح | شماره صفحهای که میخواهید نتایج از آن باشد. پیشفرض 1. |
| results_per_page | اختیاری عدد صحیح | چند نتیجه در هر صفحه میخواهید. مقادیر مجاز: 10, 25, 50, 100, 250, 500, 1000. پیشفرض 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"frequency": "daily,
"time": 10:25,
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-10-13 14:40:56",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://push.cheraghestan.com/api/recurring-campaigns?page=1",
"last": "https://push.cheraghestan.com/api/recurring-campaigns?page=1",
"next": null,
"prev": null,
"self": "https://push.cheraghestan.com/api/recurring-campaigns?page=1"
}
}
GET https://push.cheraghestan.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request GET \
--url 'https://push.cheraghestan.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.cheraghestan.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"frequency": "daily,
"time": 10:25,
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-10-13 14:40:56",
}
}
POST https://push.cheraghestan.com/api/recurring-campaigns
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| website_id | الزامی عدد صحیح | - |
| name | الزامی رشته | - |
| title | الزامی رشته | - |
| description | الزامی رشته | - |
| url | اختیاری رشته | - |
| image | اختیاری فایل | - |
| button_title_1 | اختیاری رشته | - |
| button_url_1 | اختیاری رشته | - |
| button_title_2 | اختیاری رشته | - |
| button_url_2 | اختیاری رشته | - |
| is_silent | اختیاری بولی | - |
| is_auto_hide | اختیاری بولی | - |
| ttl | اختیاری رشته | مقادیر مجاز: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | اختیاری رشته | - |
| utm_medium | اختیاری رشته | - |
| utm_campaign | اختیاری رشته | - |
| frequency | اختیاری رشته | مقادیر مجاز: daily, weekly, monthly |
| week_days | اختیاری رشته |
مقادیر مجاز: 1, 2, 3, 4, 5, 6, 7 در دسترس زمانی که: frequency = weekly |
| month_days | اختیاری رشته |
مقادیر مجاز: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 در دسترس زمانی که: frequency = monthly |
| time | اختیاری رشته | HH:II |
| is_enabled | اختیاری بولی | - |
curl --request POST \
--url 'https://push.cheraghestan.com/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
--url 'https://push.cheraghestan.com/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
{
"data": {
"id": 1
}
}
POST https://push.cheraghestan.com/api/recurring-campaigns/{recurring_campaign_id}
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| website_id | اختیاری عدد صحیح | - |
| name | اختیاری رشته | - |
| title | اختیاری رشته | - |
| description | اختیاری رشته | - |
| url | اختیاری رشته | - |
| image | اختیاری فایل | - |
| button_title_1 | اختیاری رشته | - |
| button_url_1 | اختیاری رشته | - |
| button_title_2 | اختیاری رشته | - |
| button_url_2 | اختیاری رشته | - |
| is_silent | اختیاری بولی | - |
| is_auto_hide | اختیاری بولی | - |
| ttl | اختیاری رشته | مقادیر مجاز: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | اختیاری رشته | - |
| utm_medium | اختیاری رشته | - |
| utm_campaign | اختیاری رشته | - |
| frequency | اختیاری رشته | مقادیر مجاز: daily, weekly, monthly |
| week_days | اختیاری رشته |
مقادیر مجاز: 1, 2, 3, 4, 5, 6, 7 در دسترس زمانی که: frequency = weekly |
| month_days | اختیاری رشته |
مقادیر مجاز: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 در دسترس زمانی که: frequency = monthly |
| time | اختیاری رشته | HH:II |
| is_enabled | اختیاری بولی | - |
curl --request POST \
--url 'https://push.cheraghestan.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://push.cheraghestan.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
DELETE https://push.cheraghestan.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request DELETE \
--url 'https://push.cheraghestan.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.cheraghestan.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \